import request from '@/utils/request'

// 查询行政处罚信息列表
export function listPenalty(query) {
  return request({
    url: '/basicData/xcrAdministrativePenalty/findByPage',
    method: 'get',
    params: query
  })
}

// 查询行政处罚信息详细
export function getPenalty(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativePenalty/' + xhCodeId,
    method: 'get'
  })
}

// 新增行政处罚信息
export function addPenalty(data) {
  return request({
    url: '/basicData/xcrAdministrativePenalty',
    method: 'post',
    data: data
  })
}

// 修改行政处罚信息
export function updatePenalty(data) {
  return request({
    url: '/basicData/xcrAdministrativePenalty',
    method: 'put',
    data: data
  })
}

// 删除行政处罚信息
export function delPenalty(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativePenalty/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
  return request.post('/basicData/xcrAdministrativePenalty/delete',ids)
}
